Skip to main content
GET
/
v1
/
files
/
{fileId}
Get a file
curl --request GET \
  --url https://api.turbofiles.io/v1/files/{fileId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.turbofiles.io/v1/files/{fileId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.turbofiles.io/v1/files/{fileId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonapi": {
    "version": "1.1"
  },
  "data": {
    "type": "files",
    "id": "8fhd83jpk",
    "attributes": {
      "size": 504233,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "links": {
      "self": "<string>",
      "upload": "<string>",
      "download": "<string>"
    }
  },
  "links": {
    "self": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Authentication token must be provided in the Authorization header using the Bearer scheme. Example: Authorization: Bearer your-api-key-or-token

Response

200 - application/vnd.api+json

Retrieved successfully

jsonapi
object
required
data
object
required